'use strict';
postLensApp.controller('allPromotionCtrl', function ($scope, selected_shop_DataModel, shopInfoService) {
    $scope.pageName = 'โปรโมชั่น';
    $scope.placeName = '';
    $scope.currentSlide = 0;
    $scope.showWriter = false;
    $scope.score = 5;
    $scope.currentRate = 5;
    $scope.getCurrentRate = function () {
//        console.log('$scope.imageList[$scope.currentSlide].score : '+$scope.imageList[$scope.currentSlide].score);
        $scope.currentRate = $scope.imageList[$scope.currentSlide].score;
        return $scope.currentSlide;
    }
    $scope.getCurImageName = function () {
        return $scope.imageList[$scope.currentSlide];
    }

    $scope.clickVote = function(){
        $scope.showWriter = !$scope.showWriter;
    }
    function alertDismissed() {
        // do something
    }
    $scope.vote = function(){
        shopInfoService.vote(
            {voteId:$scope.imageList[$scope.currentSlide].promoId, score:$scope.score, method:'votePromotion'},
            function(r){
                if(r.error || !r.result) {
					console.log('call votePromotion Error');
					if (r.error == 'already_vote') {
						navigator.notification.alert($scope.msg.lbl_alert_already_vote);
					}
				}
				else if(r.requireLogin) {
					$scope.confirmLogin(false);
				}
                else if(r.result){
                    navigator.notification.alert(
                        $scope.msg.msg_save_ok,         // message
                        alertDismissed,                 // callback
                        $scope.msg.msg_title_alert,     // title
                        $scope.msg.lbl_alert_ok         // buttonName
                    );
                    $scope.$applyAsync(function(){
                        $scope.imageList[$scope.currentSlide].score = roundNumber(r.result.data[0].score,0);
                        $scope.currentRate = roundNumber(r.result.data[0].score,0);
                        $scope.showWriter = !$scope.showWriter;
                    });
                }
            });
    }

    function roundNumber(rnum, rlength) {
        var newnumber = Math.round(rnum * Math.pow(10, rlength)) / Math.pow(10, rlength);
        return newnumber;
    }


    $scope.postComment = function(){}

    var arg = null;

    shopInfoService.searchAllPromotion(arg
        ,function(r){
            try{
                if(r.error || !r.result) console.log('call searchAllPromotion Error');
                else if(r.result){
                    $scope.$applyAsync(function(){
                        $scope.imageList = r.result.promotions;
                        $scope.finishLoad = true;//mb
                    });
                }
            }catch(err){alert('Error:'+err);}
        });

});

//
