'use strict';

postLensApp.controller('MapCtrl', function($scope, geolocation) {

	$scope.mapOptions = {
		zoom:10,
	    mapTypeId: google.maps.MapTypeId.ROADMAP,
	    streetViewControl: false,
	    center: new google.maps.LatLng(13.73703, 100.531329)
	};

	$scope.traMode = 'DRIVING';

	$scope.getGeo = function() {
		geolocation.getCurrentPosition(function(position) {
//			alert('Latitude: ' + position.coords.latitude + '\n'
//					+ 'Longitude: ' + position.coords.longitude + '\n'
//					+ 'Altitude: ' + position.coords.altitude + '\n'
//					+ 'Accuracy: ' + position.coords.accuracy + '\n'
//					+ 'Altitude Accuracy: ' + position.coords.altitudeAccuracy
//					+ '\n' + 'Heading: ' + position.coords.heading + '\n'
//					+ 'Speed: ' + position.coords.speed + '\n' + 'Timestamp: '
//					+ position.timestamp + '\n');
		}, function() {
			navigator.notification.alert($scope.msg.call_geolocation_error);
		});

	}

	$scope.calcDirection = function(){
//		console.log("calcDirection..");

		geolocation.getCurrentPosition(function (position) {
//			console.log('Latitude: '              + position.coords.latitude          + '\n' +
//		          'Longitude: '             + position.coords.longitude         + '\n' +
//		          'Altitude: '              + position.coords.altitude          + '\n' +
//		          'Accuracy: '              + position.coords.accuracy          + '\n' +
//		          'Altitude Accuracy: '     + position.coords.altitudeAccuracy  + '\n' +
//		          'Heading: '               + position.coords.heading           + '\n' +
//		          'Speed: '                 + position.coords.speed             + '\n' +
//		          'Timestamp: '             + position.timestamp                + '\n');

			var directionsServiceOpt = {};
			var directionsDisplayOpt = {suppressMarkers: true};
			var routeOpt = {
				travelMode: google.maps.TravelMode[$scope.traMode]
			};
			var startMarkerOpt = {};
			var endMarkerOpt = {icon: 'images/test/smile_icon.png'};

		    geolocation.getDirection($scope, position.coords.latitude, position.coords.longitude
		    		, 13.73703, 100.531329, $scope.myMap
		    		, directionsServiceOpt, directionsDisplayOpt
		    		, routeOpt, startMarkerOpt, endMarkerOpt, true);
		  }, function(){
			  navigator.notification.alert($scope.msg.call_geolocation_error);
		  });
	}

	// ----on load----

	geolocation.getCurrentPositionOnload(function (position) {
//	    console.log('Latitude: '              + position.coords.latitude          + '\n' +
//	          'Longitude: '             + position.coords.longitude         + '\n' +
//	          'Altitude: '              + position.coords.altitude          + '\n' +
//	          'Accuracy: '              + position.coords.accuracy          + '\n' +
//	          'Altitude Accuracy: '     + position.coords.altitudeAccuracy  + '\n' +
//	          'Heading: '               + position.coords.heading           + '\n' +
//	          'Speed: '                 + position.coords.speed             + '\n' +
//	          'Timestamp: '             + position.timestamp                + '\n');

	    var directionsServiceOpt = {};
		var directionsDisplayOpt = {suppressMarkers: true};
		var routeOpt = {
			travelMode: google.maps.TravelMode[$scope.traMode]
		};
		var startMarkerOpt = {};
		var endMarkerOpt = {icon: 'images/test/smile_icon.png'};

	    geolocation.getDirection($scope, position.coords.latitude, position.coords.longitude
	    		, 13.73703, 100.531329, $scope.myMap
	    		, directionsServiceOpt, directionsDisplayOpt
	    		, routeOpt, startMarkerOpt, endMarkerOpt, true);

	}, function(){
		navigator.notification.alert($scope.msg.call_geolocation_error);
	});

});
