'use strict';
postLensApp.controller('ratingCrtl', function($scope,$http,$ionicPopup, $navigate, userProfileService, utilService, userSessionService) {
  var deviceType = ionic.Platform.platform();
  var deviceVersion  = ionic.Platform.version();
  var devicetoken = ionic.Platform.device();
  devicetoken = devicetoken.uuid;

  var getStar = function(thisScore) {
    if (thisScore == 0) {
      $scope.formData = {score: 5};
    } else {
      $scope.formData = {score: thisScore};
    }
  }



  $http({
    method: 'POST',

    headers : {
      "APPTOKEN" :"b3ee7883f5cb11e6f6772f2566cf2d93",
      "AUTHORIZATION" : "basic"
    },
    url: "http://mobilepost.thailandpost.com:8076/api/index.php/RatingApi/getRating?DEVICETOKEN="+devicetoken,
  }).then(function successCallback(response) {
    getStar(response.data.RATING)

  }, function errorCallback(response) {
    console.log(response.data);
  })



  $scope.ratingBtn = function(){

    $http({
      method: 'POST',

      headers : {
        "APPTOKEN" :"b3ee7883f5cb11e6f6772f2566cf2d93",
        "AUTHORIZATION" : "basic"
      },
      url: "http://mobilepost.thailandpost.com:8076/api/index.php/RatingApi/Rating",
      data: {'DEVICETOKEN':devicetoken,'RATING':$scope.formData.score,'PLATFORM':deviceType,'VERSION':deviceVersion},
    }).then(function successCallback(response) {

      if(response.data.SUCCESS == 0){
            
        navigator.notification.alert(response.data.REASON);
      }else{
        
        navigator.notification.alert('บันทึกข้อมูลสำเร็จ');
      }

    }, function errorCallback(response) {
       console.log(response.data);
    })
  }



})
