'use strict';
postLensApp.controller('shopCtrl', function($scope, selected_shop_DataModel, shopInfoService,
                                            facebook, $window, userSessionService, $navigate) {
	$scope.pageName = 'ร้านค้า';
    $scope.clientHeight = ($window.innerHeight-80)+'px';
    $scope.shopHeight = ($window.innerHeight-180)+'px';
    $scope.serviceHeight = ($window.innerHeight-210)+'px';
    $scope.shopPromotions = null;

    
    var initSearch = function() {
    try{
        shopInfoService.getShopBranchInfo(
            {shopId: selected_shop_DataModel.selectedShop.shopId}
            ,function(r){
                if(r.error || !r.result){
//                    alert('Get location Information Error');
//                    console.log('Get location Information Error');
                }else if(r.result){
                    $scope.$applyAsync(function(){
                        $scope.shopInfo = r.result.shopInfo;
                        if($scope.shopInfo.website=='-'){
                            $scope.shopInfo.website='';
                        }
                    });
                }
            });

//        shopInfoService.getShopLandmarkByShop(
//            {shopId: selected_shop_DataModel.selectedShop.shopId}
//            ,function(r){
//                if(r.error || !r.result){
////                    alert('Get Landmark Information Error');
////                    console.log('Get Landmark Information Error');
//                }else if(r.result){
//                    $scope.$applyAsync(function(){
//                        $scope.landmarks = r.result.landmarks;
//                    });
//                }
//            });

//        shopInfoService.searchPromotionLimit(
//            {shopId: selected_shop_DataModel.selectedShop.shopId}
//            ,function(resultPromotion){
//                if(resultPromotion.error || !resultPromotion.result){
////                    alert('Get location Promotion Error');
////                    console.log('Get location Promotion Error');
//                }else if(resultPromotion.result){
//                    $scope.$applyAsync(function(){
//                        console.log('dddddd'+JSON.stringify(resultPromotion.result));
//                        $scope.shopPromotions = resultPromotion.result.promotions;
//                    });
//                }
//            });

    }catch(err){
        console.log('Error:'+err);
    }
    }
    initSearch();



//    $scope.shopType = 'S';
//    $scope.shopTypeImage = 'images/test/shop/shop.png';
//	$scope.pageName = 'ร้านค้า';
//	$scope.placeName = "ร้านแหนมเนือง";
//	$scope.shopAddr = "2/1 ถ.พญาไท แขวงทุ่งพญาไท เขตราชเทวีกรุงเทพฯ 10400";
//	$scope.shopTels = [];
//	$scope.shopFax = [];
//	$scope.shopHours = "8:00-24:00";
//	$scope.shopParking = true;
//	$scope.htmldescription = "";
//	$scope.shopRating = 0;
//
//    $scope.shopPromotions = [
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon1.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon2.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon3.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon4.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon5.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon6.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon7.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon8.png"},
//        {promoName:"xxxx",promoImage:"images/test/coupon/coupon9.png"} ];
//	$scope.bookmark = function() {
//	}

    $scope.navigateToShop = function (obj, way) {
    	selected_shop_DataModel.selectedShop = obj;

    	var target = $scope.toPage(obj);
    	if (target == 'shop') {
    		initSearch(); //this page
    		angular.element('.app-content').scrollTop(0);
    	} else {
    		$navigate.go('/' + target, way);
    	}
    }
    
    $scope.toPage = function (obj) {
        var targetpage = obj.shopType == "S" ? 'shop' : 'branch';
        return targetpage;
    }
    
	$scope.facebookShare = function(){
		console.log("do FB share...");
		facebook.share($scope.shopInfo.placeName
				, 'http://www.thailandpost.co.th/'
				, $scope.shopInfo.imageUrl
				, $scope.shopInfo.addr
				, '');
	}

    $scope.addBookmark = function(shopId){
//        console.log('shop addBookmark start');
//        console.log('userId:'+userSessionService.userId);
//        console.log('shopId:'+shopId);
        if(userSessionService.userId){
            shopInfoService.addBookmark(
                {
                    userId:userSessionService.userId,
                    locationId:shopId
                }
                , function (r) {
                    if (r.result.saveResult && r.result.saveResult=='ok') {
//                        console.log('addBookmark successfully');
                        navigator.notification.alert(
                            $scope.msg.msg_save_ok,
                            function(){},
                            $scope.msg.msg_title_alert,
                            $scope.msg.btn_ok
                        )
                    }else{
//                        console.log('addBookmark unsuccessfully');
                        navigator.notification.alert(
                            $scope.msg.msg_save_fail,
                            function(){},
                            $scope.msg.msg_title_alert,
                            $scope.msg.btn_ok
                        )
                    }
                });
        }else{
            alert('Please Login!');
        }
    }
});