'use strict';
postLensApp.controller('testCtrl', function ($scope, $navigate, rpcService) {

    $scope.wsGetCusByEmail = function(){
        rpcService.wsGetCusByEmail(
            {email: 'chang787@yahoo.com'}
            ,function(r){
                if (r.error || !r.result) console.log('call wsGetCusByEmail Error');
                else if (r.result) {
                    console.log('result: ' + JSON.stringify(r.result));
                }
            })
    }
    $scope.testGetAllProvince = function(){
        rpcService.getAllProvince(function (r) {
            if (r.error || !r.result) console.log('call getAllProvince Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
                $scope.$applyAsync(function(){
                    $scope.provinces = r.result.allProvinces;
                })
            }
        });
    }

    $scope.testGetAllPriceRank = function(){
        rpcService.getAllPriceRank(function(r){
            if (r.error || !r.result) console.log('call getAllPriceRank Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
                $scope.$applyAsync(function(){
                    $scope.priceranks = r.result.allPriceRank;
                })
            }
        });
    }

    $scope.testGetAllPostService = function(){
        rpcService.getAllPostService(function(r){
            if (r.error || !r.result) console.log('call getAllPostService Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
    }


    $scope.testGetPromotion = function(){
        rpcService.getPromotion({},function(r){
            if (r.error || !r.result) console.log('call getPromotion Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
        rpcService.getPromotionLimit({},function(r){
            if (r.error || !r.result) console.log('call getPromotionLimit Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
        rpcService.getAllPromotion({},function(r){
            if (r.error || !r.result) console.log('call getAllPromotion Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

    }
    $scope.testGetCoupon = function(){
        rpcService.getCoupon({},function(r){
            if (r.error || !r.result) console.log('call getCoupon Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

        rpcService.getAllCoupon({},function(r){
            if (r.error || !r.result) console.log('call getAllCoupon Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
    }

    $scope.testGetDropdownShop = function(){
        rpcService.getDropdownShop({},function(r){
            if (r.error || !r.result) console.log('call getDropdownShop Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

    }

    $scope.testGetDropdownShopType = function(){
        rpcService.getDropdownShopType(function(r){
            if (r.error || !r.result) console.log('call getDropdownShopType Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

    }

    $scope.testSearchShop = function(){
        rpcService.searchShop({keyword:'สาขา'},function(r){
            if (r.error || !r.result) console.log('call searchShop Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

    }

    $scope.testGetShopBranchInfo = function(){
        rpcService.getShopBranchInfo({shopId:8},function(r){
            if (r.error || !r.result) console.log('call getShopBranchInfo Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });

    }

    $scope.testGetFollowList = function(){
        rpcService.getFollowList({username:'ll@ll.com'},function(r){
            if (r.error || !r.result) console.log('call getFollowList Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
    }

    $scope.testGetFollowingList = function(){
        rpcService.getFollowingList({username:'ll@ll.com'},function(r){
            if (r.error || !r.result) console.log('call getFollowingList Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
    }

    $scope.testGetUserProfile = function(){
        rpcService.getUserProfile({userId:'34'},function(r){
            if (r.error || !r.result) console.log('call getUserProfile Error');
            else if (r.result) {
                console.log('result: ' + JSON.stringify(r.result));
            }
        });
    }
});