/**
 * Created with JetBrains WebStorm.
 * User: arthit
 * Date: 6/9/13
 * Time: 7:01 AM
 * To change this template use File | Settings | File Templates.
 */
'use strict';
postLensApp.controller('trackTraceCtrl', function ($scope,$navigate,$window,
                                                   soapService) {
    $scope.models = {
        barcode: 'EN465499921TH'
    };
    $scope.loading = false;

    $scope.wsGetTrackandTrace = function(){
        $scope.loading = true;
        var lang = 'TH';
        if ($scope.i18n && $scope.i18n.language && $scope.i18n.language.locale) {
            //lang = $scope.i18n.language.locale.toUpperCase();
        }
        try{
        soapService.wsGetTrackandTrace(
            {
                lang: lang,
                barcode: $scope.models.barcode
            }
            ,function(wsResponse){
                $scope.$applyAsync(function(){
                    $scope.loading = false;
                    $scope.trackResults = wsResponse.result.trackResults;
//                    $scope.trackResults = wsResponse.GetItemsResult.ItemsData.Items;
                });
                console.log('result:'+JSON.stringify(wsResponse));
            });
        }catch(err){
            $scope.loading = false;
            console.log(err);
        }
    }
});