'use strict';
postLensApp.factory('shopInfo_DataModel', function () {
    return { shopInfo : {
                shopId          : '',
                shopType        : '',
                shopTypeImage   : '',
                placeName       : '',
                addr      		: '',
                tels      		: [],
                faxs       		: [],
                hours     		: '',
                parking   		: true,
                imageUrl  		: '',
                htmlDescription	: '',
                rating    		: '',
                geolocation 	: {lat: 0, lng: 0},
                branchServices  : [],
                shopPromotions	: [],
                ispost          : '',
                website         : '',
                landmarks       : []
            }
    };
});
postLensApp.factory('postService_DataModel', function () {
    return { postService : {
                serviceCode  : '',
                serviceName  : '',
                serviceImage : '',
                serviceImage2 : '',
                serviceLogo  : '',
                serviceCondition : '',
                serviceLocation  : '',
                serviceRate      : '',
                serviceRateURLPath : '',
                serviceDetail    : ''}
    };
});
postLensApp.factory('userProfile_DataModel', function () {
	return { userProfile : {
				id : '',
				username : '',
				firstName : '',
                personalId : '',
				lastName : '',
				birthDate : null,
				email : '',
				address : '',
				userImageUrl : ''}
	};
});
postLensApp.factory('selected_shop_DataModel', function () {
	return { selectedShop : {
				shopId : '',
				shopType        : '',
                shopTypeImage   : '',
				placeName : '',
				addr : '',
				rating : '',
				geolocation : {lat: 0, lng: 0} }
	
			,reset : function(){
				console.log("reset selected Shop")
				
				this.selectedShop = {
						shopId : '',
						shopType        : '',
		                shopTypeImage   : '',
						placeName : '',
						addr : '',
						rating : '',
						geolocation : {lat: 0, lng: 0} };
			}
	};
});
postLensApp.factory('selected_searchMode_DataModel', function () {
	return { selectedSearchMode : {
				mode : 'P',
				geolocation: {lat: 0.00, lng: 0.00},
				option : {} }
	
			,setSearchMode : function(mode){
				console.log("set selected SearchMode to mode : "+ mode);
				this.selectedSearchMode = {};
				if(!mode || mode == ''){
					this.selectedSearchMode.mode = 'P';
				}else{
					this.selectedSearchMode.mode = mode;
				}
				
				if(mode == 'N'){
					this.selectedSearchMode.geolocation = {};
				}else if(mode == 'L'){
					this.selectedSearchMode.provinceCode = '';
				}else if(mode == 'S'){
					this.selectedSearchMode.options = {};
				}
			}
	};
});