'use strict';
postLensApp.factory('pushMessageService', function ($rootScope, cordovaReady) {
    var messageService = {
        initRegisterPushMessage : cordovaReady(function(){
            console.log('cordovaReady initRegisterPushMessage');

            try{
                console.log('initRegisterPushMessage.....');
                console.log("platform: " + device.platform);
                if (device && device.platform) {
                    if (device.platform == 'Android') {
                        initGCM();
                    } else if (device.platform.indexOf('iPhone') >= 0
                        || device.platform.indexOf('iPad') >= 0
                        || device.platform.indexOf('iOS') >= 0) {
                        console.log('initRegisterPushMessage ........................');
                        initAPNS();
                    }
                }
            }catch(err){
                alert(err);
                console.log('err:'+err);
            }
        })
        ,setRegIdToJSON : function(jsonObj) {
            try{
                if (device && device.platform) {
                    console.log("platform: " + device.platform);
                    if (device.platform == 'Android') {
                        jsonObj.platform = 'ANDROID';
                        //GCM
                        var gcm_regid = window.localStorage.getItem("token_regid");
                        console.log("gcm_regid: " + gcm_regid);
                        if (gcm_regid) {
                            jsonObj.regId = gcm_regid;
                        }
                    } else if (device.platform.indexOf('iPhone') >= 0
                        || device.platform.indexOf('iPad') >= 0
                        || device.platform.indexOf('iOS') >= 0) {
                        jsonObj.platform = 'IOS';
                        // ios push
                        var ios_regid = window.localStorage.getItem("token_regid");
                        console.log("ios_regid: " + ios_regid);
                        if (ios_regid) {
                            jsonObj.regId = ios_regid;
                        }
                    }
                }


            }catch(err){
                console.log('err:'+err);
            }
            return jsonObj;
        }
    }
    return messageService;

});