postLensApp.factory('userProfileService', function (rpcService) {
	return {
		getUserProfile : function(arg,cb){
			rpcService.getUserProfile(arg,cb);
		}
		,saveProfile : function(arg,cb){
			rpcService.saveProfile(arg,cb);
		}
		,getUserComment : function(arg,cb){
			rpcService.getComment(arg,cb);
		}
		,saveUserComment : function(arg,cb){
			rpcService.saveComment(arg,cb);
		}
		,dropUserComment : function(arg,cb){
			rpcService.dropComment(arg,cb);
		}
		,getUserImage : function(arg,cb){
			rpcService.getImage(arg,cb); 
		}
		,saveUserImage : function(arg,cb){
			rpcService.saveImage(arg,cb);
		}
        ,deleteUserImage : function(arg,cb){
        	rpcService.deleteUserImage(arg,cb);  
        }
        ,getFollowList : function(arg,cb){
        	rpcService.getFollowList(arg,cb);  
        }
        ,getFollowingList : function(arg,cb){
        	rpcService.getFollowingList(arg,cb);  
        }
        ,deleteFollowUser : function(arg,cb){
            rpcService.deleteFollowUser(arg,cb);
        }
        ,deleteFollowingUser : function(arg,cb){
            rpcService.deleteFollowingUser(arg,cb);
        }
        ,blockFollowerUser : function(arg,cb){
            rpcService.blockFollowerUser(arg,cb);
        }
        ,leaveFollowingUser : function(arg,cb){
            rpcService.leaveFollowingUser(arg,cb);
        }
        ,confirmFollowerUser : function(arg,cb){
            rpcService.confirmFollowerUser(arg,cb);
        }
        ,addFollowingUser : function(arg,cb){
            rpcService.addFollowingUser(arg,cb);
        }
        ,addLikeComment : function(arg,cb){
            rpcService.likeComment(arg,cb);
        }
        ,changeUserPassword : function(arg,cb){
        	rpcService.changeUserPassword(arg,cb);
        }
	};
});