postLensApp.factory('utilService', function (base64) {
    return {
    	getBase64ImageByUrl:function(url){
    		var img = document.createElement("img");
    		img.src = url;
    		
    		var canvas = document.createElement("canvas"); 
    		canvas.width = img.width;
    		canvas.height = img.height;
    		
    		var ctx = canvas.getContext("2d");  
    		ctx.drawImage(img, 0, 0);  
    		var dataURL = canvas.toDataURL("image/jpg");  
    		  // escape data:image prefix
    		return dataURL.replace(/^data:image\/(png|jpg);base64,/, "");  
    		  // or just return dataURL
    		  // return dataURL
        }
    	,encodePassword: function(password){
    		var encPass = base64.encode(base64.encode(password));
    	    return encPass;
    	}
    	,decodePassword: function(password){
    		var decPass = base64.decode(base64.decode(password));
    	    return decPass;
    	}
    }
});