'use strict';
postLensApp.controller('branchCtrl', function($scope, $navigate
		, postService_DataModel, selected_shop_DataModel
		, shopInfoService, facebook,$window,$document
        , userSessionService, $stateParams, $ionicHistory) {

    $scope.updateShop($stateParams.id);

    var initSearch = function() {
	    shopInfoService.getShopBranchInfo({shopId: $stateParams.id}
	    	,function(r){
	    		if(r.error || !r.result){
	//                alert('Get location Information Error');
	//                console.log('Get location Information Error');
	            }else if(r.result){
	                $scope.$applyAsync(function(){
	                	console.log('json length = ' + JSON.stringify(r.result).length);
	                    $scope.shopInfo = r.result.shopInfo;
	                });
				}
	    	});
    }

    $scope.clearCache = function() {
        $ionicHistory.clearCache();
    }

	$scope.$on('$viewContentLoaded',function() {
		console.log('VIEW LOADED 2');
		// initSearch();
	});
	console.log('WILL START SEARCH');
  /*  $scope.$on('$ionicView.enter', function() {
        // initSearch();
    });*/

	$scope.openwebsite = function(site) {
		console.log('site ' + site);
		$window.cordova.InAppBrowser.open(site, '_system');
	}

    ///ionic
    var fbwatch;
    $scope.$on('$ionicView.leave', function() {
        fbwatch();
				//$rootScope.$broadcast('restoreNavBarDefault');
    })
    $scope.$on('$ionicView.enter', function() {
        fbwatch = $scope.$on('sharefb', function(){
            $scope.facebookShare();
        })
    })
		// fbwatch = $scope.$on('sharefb', function(){
		// 		$scope.facebookShare();
		// });

    $scope.facebookShare = function(){
//		console.log("do FB share...");
		facebook.share($scope.shopInfo.placeName
				, 'http://www.thailandpost.co.th/'
				, $scope.shopInfo.imageUrl
				, $scope.shopInfo.addr
				, '');
	}

    $scope.addBookmark = function(shopId){
        return; //not use
//        console.log('branch addBookmark start');
//        console.log('userId:'+userSessionService.userId);
//        console.log('shopId:'+shopId);
        if(userSessionService.userId){
            shopInfoService.addBookmark(
                {
                    userId:userSessionService.userId,
                    locationId:shopId
                }
                , function (r) {
                    if (r.result.saveResult) {
                        if (r.result.saveResult=='ok') {
//                            console.log('addBookmark successfully');
                            navigator.notification.alert(
                                $scope.msg.msg_save_ok,
                                function(){},
                                $scope.msg.msg_title_alert,
                                $scope.msg.btn_ok
                            )
                        }else{
//                            console.log('addBookmark unsuccessfully');
                            navigator.notification.alert(
                                $scope.msg.msg_save_fail,
                                function(){},
                                $scope.msg.msg_title_alert,
                                $scope.msg.btn_ok
                            )
                        }
                    }
                });
        }else{
            navigator.notification.alert(
                $scope.msg.msg_login,
                function(){},
                $scope.msg.msg_title_alert,
                $scope.msg.btn_ok
                )
//            alert($scope.msg.msg_login);
        }
    }

});
