'use strict';
postLensApp.controller('branchCtrl', function($scope, $navigate
		, postService_DataModel, selected_shop_DataModel
		, shopInfoService, facebook,$window,$document
        , userSessionService, $stateParams) {

    $scope.pageName = 'สาขา';
//    $scope.clientHeight = ($window.innerHeight-80)+'px';
//    $scope.branchHeight = ($window.innerHeight-180)+'px';
//    $scope.serviceHeight = ($window.innerHeight-210)+'px';
//    $scope.bottomToolbarTop = (angular.element($document).height() -40)+'px';

    var initSearch = function() {
	    shopInfoService.getShopBranchInfo({shopId: selected_shop_DataModel.selectedShop.shopId}
	    	,function(r){
	    		if(r.error || !r.result){
	//                alert('Get location Information Error');
	//                console.log('Get location Information Error');
	            }else if(r.result){
	                $scope.$applyAsync(function(){
	                	console.log('json length = ' + JSON.stringify(r.result).length);
	                    $scope.shopInfo = r.result.shopInfo;
	                });
				}
	    	});
    }

	$scope.$on('$viewContentLoaded',function() {
		console.log('VIEW LOADED 2');
		//initSearch();
	});
	console.log('WILL START SEARCH');
    initSearch();

//    shopInfoService.getShopLandmarkByShop(
//        {shopId: selected_shop_DataModel.selectedShop.shopId}
//        ,function(r){
//            if(r.error || !r.result){
////                console.log('yyyyyyyyyyyyyyyyyy Get Landmark Information Error');
//            }else if(r.result){
////                console.log('yyyyyyyy');
//                $scope.$applyAsync(function(){
//                    $scope.landmarks = r.result.landmarks;
//                });
//            }
//        });

    $scope.navigateTo = function(target, serviceInfo){
//        console.log('serviceData:'+serviceInfo.serviceCode);
        postService_DataModel.postService = serviceInfo;
        $navigate.go(target,'slide');
    }
    
    $scope.navigateToShop = function (obj, way) {
        selected_shop_DataModel.selectedShop = obj;

        var target = $scope.toPage(obj);
        if (target == 'branch') {
        	initSearch(); //this page
        	angular.element('.app-content').scrollTop(0);
        } else {
        	$navigate.go('/' + target, way);
        }
    }
    
    $scope.toPage = function (obj) {
        var targetpage = obj.shopType == "S" ? 'shop' : 'branch';
        return targetpage;
    }
	
	$scope.openwebsite = function(site) {
		console.log('site ' + site);
		$window.cordova.InAppBrowser.open(site, '_system');
	}
    
    $scope.facebookShare = function(){
//		console.log("do FB share...");
		facebook.share($scope.shopInfo.placeName
				, 'http://www.thailandpost.co.th/'
				, $scope.shopInfo.imageUrl
				, $scope.shopInfo.addr
				, '');
	}

    $scope.addBookmark = function(shopId){
//        console.log('branch addBookmark start');
//        console.log('userId:'+userSessionService.userId);
//        console.log('shopId:'+shopId);
        if(userSessionService.userId){
            shopInfoService.addBookmark(
                {
                    userId:userSessionService.userId,
                    locationId:shopId
                }
                , function (r) {
                    if (r.result.saveResult) {
                        if (r.result.saveResult=='ok') {
//                            console.log('addBookmark successfully');
                            navigator.notification.alert(
                                $scope.msg.msg_save_ok,
                                function(){},
                                $scope.msg.msg_title_alert,
                                $scope.msg.btn_ok
                            )
                        }else{
//                            console.log('addBookmark unsuccessfully');
                            navigator.notification.alert(
                                $scope.msg.msg_save_fail,
                                function(){},
                                $scope.msg.msg_title_alert,
                                $scope.msg.btn_ok
                            )
                        }
                    }
                });
        }else{
            navigator.notification.alert(
                $scope.msg.msg_login,
                function(){},
                $scope.msg.msg_title_alert,
                $scope.msg.btn_ok
                )
//            alert($scope.msg.msg_login);
        }
    }

});