'use strict';
postLensApp.controller('recommendedCtrl', function ($scope,$navigate,
                                                 selected_shop_DataModel,
                                                 selected_searchMode_DataModel,
                                                 provinceService,
                                                 shopInfoService,
                                                 $window,geolocation) {
    //หาความสูงของพื้นที่ที่จะใช้ iscroll ควรเช็คจาก css ว่าความสูงของแถบ bars ด้านบนเป็น 90px หรือไม่
    $scope.listHeight = ($window.innerHeight - 40) + 'px';
    selected_shop_DataModel.reset();

    $scope.navigateTo = function(i,way){
        selected_shop_DataModel.selectedShop = $scope.resultList[i];

        var target = $scope.toPage(i);
        $navigate.go('/'+target,way);

    }

    $scope.toPage = function(index){
        var targetpage = $scope.resultList[index].shopType=="S" ? 'shop':'branch';
        return targetpage;
    }

    $scope.getStar = function(index,i){
        var rating = $scope.resultList[index].branchRating;
        if(i<=rating) return 'images/icons/star_gold_16.png';
        else return 'images/icons/star_white_16.png';
    }

    $scope.isDayEmpty = function(){
      return $scope.day.length > 0 ? false : true;
    }

    //Display Filter By Post or Shop
//    $scope.filterShop = "none";
//    $scope.filterPost = "block";
//
//    $scope.toSwitch = function(){
//        if($scope.filterPost=="none"){
//            $scope.filterShop = "none";
//            $scope.filterPost = "block";
//        }else{
//            $scope.filterShop = "block";
//            $scope.filterPost = "none";
//        }
//    }
//
//    $scope.changeSearchMode = function(mode, modeTxt){
//        $scope.curSearchMode = modeTxt;
//        selected_searchMode_DataModel.setSearchMode(mode);
//    }
//
//    $scope.checkbox_filter_type= {
//        "popular": true,
//        "hightrate": true,
//        "recently": true
//    }
//
//    $scope.checkbox_filter_other={
//        "park":false,
//        "beer":false,
//        "credit":false
//    }
//
//    $scope.checkbox_filter_service={
//        "s001":false,
//        "s002":false,
//        "s003":false,
//        "s004":false,
//        "s005":false,
//        "s006":false,
//        "s007":false,
//        "s008":false,
//        "s009":false,
//        "s010":false,
//        "s011":false,
//        "s012":false
//    }
//    $scope.checkbox_filter_post={"park":false}
//
//    $scope.radio_filter_price="";
    //List Full recommended Shop
//    shopInfoService.getAllRecommendedShop(selected_searchMode_DataModel.selectedSearchMode,
//        function(r){
//        if(r.error || !r.result) console.log('call getAllRecommendedShop Error');
//        else if(r.result){
//            $scope.resultList = r.result.shopResults;
//        }
//    });

try{
    var strJson = {};
    strJson["mode"] = 'N';
    var strPosition = {};
    $scope.waitgps = true;
    geolocation.getCurrentPosition(function (position) {
        $scope.waitgps = false;
        $scope.loading = true;
        console.log("Search recommend By Postion: ["+position.coords.latitude+","+position.coords.longitude+"]");

        var nearByCriteria = {};
        nearByCriteria["mode"] = 'N';
        nearByCriteria["recommend"] = 'Y';
        strPosition["lat"] = position.coords.latitude;
        strPosition["lng"] = position.coords.longitude;
        nearByCriteria["geolocation"] = strPosition;
        shopInfoService.searchShop(
            nearByCriteria
            , function (r) {
                $scope.loading = false;
                if (r.error || !r.result) console.log('call Search recommend Error');
                else if (r.result) {
                    console.log('Search recommend result: ' + JSON.stringify(r.result));
                    $scope.resultList = r.result.shopResults;
                  //
                    $scope.finishLoad = true;
                    $scope.$applyAsync();
                }
            });



    }, function(){
        $scope.waitgps = false;
        console.log("Geolocation Error!");
    },{ timeout: 10000 });

}catch(err){
    console.log('Error:'+err.message);
}





//    //List Full Popular Service
//    shopInfoService.getAllPostService(function(r){
//        if(r.error || !r.result) console.log('call getAllPostService Error');
//        else if(r.result){
//            $scope.branchServices = r.result.allPostServices;
//        }
//    });
//
//    //List Full Province
//    provinceService.getAllProvince(function(r){
//        if(r.error || !r.result) console.log('call getAllProvince Error');
//        else if(r.result){
//            $scope.provinces = r.result.allProvinces;
//        }
//    });

});
