'use strict';
postLensApp.controller('userImageCtrl', function($scope, userProfileService, userProfile_DataModel,$window,$navigate,$ionicSlideBoxDelegate) {
	$scope.bodyHeight = ($window.innerHeight - 110)+'px';
    $scope.showEditor = false;
    $scope.slidebox = {};

	function showUserImage(){
		console.log("userProfile: "+JSON.stringify($scope.userProfile));
		
		userProfileService.getUserImage({userId: $scope.userProfile.id}
		,function(r){
			if(r.error || !r.result) console.log('call getUserImage Error');
			else if(r.result){
				$scope.$applyAsync(function(){
					$scope.userImages = r.result.images;
					$ionicSlideBoxDelegate.update();
				})
			}
		});
	}
	
	//userProfileService.getUserProfile();
	$scope.userProfile = userProfile_DataModel.userProfile;

	$scope.slidebox.currentSlide = 0;
	$scope.getCurImage = function() {
		return ($scope.userImages || {})[$scope.slidebox.currentSlide];
	}

	$scope.setShowEditor = function(value) {
    	$scope.showEditor = value;
    }
    
	$scope.initEditImage = function(){
		$scope.editImage = $scope.getCurImage();
        $scope.showEditor = true;
       // console.log($scope.editImage)
        
		/*console.log("edit image id: "+ $scope.editImage.imageId);
		var modal = $modal({template: './views/modal_edit_image.html'
			, show: true
			, backdrop: 'static'
		    , scope: $scope});*/
		
	}
	$scope.saveUserImage = function(){
//		console.log("do save UserImage =" + JSON.stringify($scope.editImage));
		
		userProfileService.saveUserImage($scope.editImage
			, function(r){
				if(r.error || !r.result) console.log('call saveUserImage Error');
				else if(r.result && r.result.saveResult == "ok"){
//					console.log("saveUserImage complete.");
					$scope.userImages[$scope.slidebox.currentSlide] = $scope.editImage;
				}else{
					alert('saveImage error!');
				}
			});
		
	}
	$scope.deleteImage = function(){
		var img = $scope.getCurImage();
//		console.log("delete image id: "+ img.imageId);
		
		userProfileService.deleteUserImage({imageId : img.imageId}
			, function(r){
				if(r.error || !r.result) console.log('call deleteUserImage Error');
				else if(r.result && r.result.saveResult == "ok"){
					$scope.userImages = null;
					if (!$scope.$$phase) $scope.$applyAsync();
					alert('Image Deleted');
					showUserImage();
				}else{
					alert('deleteUserImage error!');
				}
			});
		
	}
	
	//onload
	setTimeout(function(){
	showUserImage()
	}, 1000);
});
